#include <iostream>
#include <omp.h>

//#define DUB1
#define PAR
//#define DUB2



// ******************************************************************
using namespace std ;

#define N 2
#define M 2
#define K 2

// ******************************************************************
int main()
{
float w1[N][M] = { {1,2},{2,1}};
float o[M] = {-1,-2};
float y[N] = {0,0};

#ifdef PAR
#pragma omp parallel for collapse(2) reduction(+:y[0:N]) num_threads(1)
#endif
for( int i = 0 ; i< N ; i++) {
	for( int j = y[i] = 0 ; j< M ; j++)
		y[i] += w1[i][j]*o[j] ;
	q[i] = 1.0/(exp(-y[i])+1) ;
}

for( int i = 0 ; i< N ; i++)
	for( int j = 0 ; j< M ; j++)
		y1[i] += w2[i][j]*q[j] ;
for( int i = 0 ; i< N ; i++)
	q1[i] = 1.0/(exp(-y1[i])+1) ;

#ifdef DEB1
cout << y[0] << " " << y[1] << endl ;
#endif

return 0 ;
}

